<?php
// $Id: crumbdown.plugins.inc,v 1.1.2.2 2010/07/18 20:22:47 donquixote Exp $


/**
 * Implementation of class_CrumbdownSiblingFinder
 * on behalf of taxonomy module
 */
class taxonomy_class_CrumbdownSiblingFinder {
  
  /**
   * Find possible vocabulary ids to replace %taxonomy_vocabulary,
   * in router paths like 'admin/content/taxonomy/%taxonomy_vocabulary'
   */
  function findArgValues__taxonomy_vocabulary() {
    $titles = array();
    foreach (taxonomy_get_vocabularies() as $voc_id => $voc) {
      $titles[$voc_id] = "Vocabulary: " . $voc->name;
    }
    return $titles;
  }
}



/**
 * Implementation of class_CrumbdownSiblingFinder
 * on behalf of menu module
 */
class menu_class_CrumbdownSiblingFinder {
  
  /**
   * Find existing menu names to replace %menu,
   * in router paths like 'admin/build/menu-customize/%menu/add'.
   */
  function findArgValues__menu() {
    $q = db_query($sql = "SELECT *, menu_name, title FROM {menu_custom}");
    $titles = array();
    while ($row = db_fetch_object($q)) {
      $titles[$row->menu_name] = $row->title;
    }
    return $titles;
  }
}


/**
 * Implementation of class_CrumbdownSiblingFinder
 * on behalf of custom_formatters module
 */
class custom_formatters_class_CrumbdownSiblingFinder {
  
  /**
   * Find existing menu names to replace %menu,
   * in router paths like 'admin/build/menu-customize/%menu/add'.
   */
  function findArgValues__custom_formatters_cfid() {
    $titles = array();
    foreach (custom_formatters_formatters() as $cfid => $formatter) {
      $titles[$cfid] = $formatter->label;
    }
    return $titles;
  }
}


class filter_class_CrumbdownSiblingFinder {
  function findArgValues__filter_format() {
    $titles = array();
    foreach (filter_formats() as $id => $format) {
      $titles[$id] = $format->name; 
    }
    return $titles;
  }
}



